;---------------------------------------------------------------------------
;
;		      RMD Debugger Functions & Definitions
;
;     Copyright (c) 1999-2001 by Thomas Kjoernes, all rights reserved.
;
;---------------------------------------------------------------------------

; RMD API Services

RMD_GetInfo		EQU	00h
RMD_InitDesc		EQU	01h
RMD_ExpHandlers		EQU	02h
RMD_IrqHandlers		EQU	03h
RMD_Set8259Base		EQU	04h
RMD_DebugBreak		EQU	05h

RMD_Hook		EQU	00h
RMD_UnHook		EQU	01h

; Call RMD API Service

RMDCALL MACRO	???func:REQ, ???mode

	mov	ah, ???func

	IFB	<???mode>

		call	rmdRMAPI

	ELSEIFIDN <???mode>, <PM>

		call	rmdPMAPI

	ENDIF

	ENDM
