;---------------------------------------------------------------------------
;
;		       Portable Executable Definitions
;
;---------------------------------------------------------------------------

PE_EXE_MAGIC		EQU	00004550h

PE_CPU_386		EQU	014Ch	; Intel 386
PE_CPU_486		EQU	014Dh	; Intel 486
PE_CPU_PENTIUM		EQU	014Eh	; Intel Pentium

PE_CPU_MIPS_I		EQU	0162h	; MIPS Mark I (R2000, R3000)
PE_CPU_MIPS_II		EQU	0163h	; MIPS Mark II (R6000)
PE_CPU_MIPS_III		EQU	0166h	; MIPS Mark III (R4000)

; Win32/NT "PE" Portable Executable

PE_EXE			STRUC
peSignature		DD	?
peCPUType		DW	?
peObjectCount		DW	?
peTimeStamp		DD	3 DUP (?)
peNTHeaderSize		DW	?
peFlags			DW	?
peOptionalStart		DD	4 DUP (?)
peEntryPoint		DD	?
peReserved		DD	2 DUP (?)
peImageBase		DD	?
peObjectAlign		DD	?
peFileAlign		DD	?
peVersionInfo		DW	8 DUP (?)
peImageSize		DD	?
peHeaderSize		DD	?
peCheckSum		DD	?
peSubSys		DW	?
peDLLFlags		DW	?
peStackReserve		DD	?
peStackCommit		DD	?
peHeapReserve		DD	?
peHeapCommit		DD	?
peFill			DD	?
peRVAs			DD	?
peExportRVA		DD	?
peExportSize		DD	?
peImportRVA		DD	?
peImportSize		DD	?
peResourceRVA		DD	?
peResourceSize		DD	?
peExceptionRVA		DD	?
peExceptionSize		DD	?
peSecurityRVA		DD	?
peSecuritySize		DD	?
peFixupRVA		DD	?
peFixupSize		DD	?
peDebugRVA		DD	?
peDebugSize		DD	?
peImageDescRVA		DD	?
peImageDescSize		DD	?
peMachineRVA		DD	?
peMachineSize		DD	?
peTLSRVA		DD	?
peTLSSize		DD	?
PE_EXE			ENDS

; "PE" object table entry format

PE_OBJ			STRUC
peObjName		DB	8 DUP (?)
peObjVirtualSize	DD	?
peObjRVA		DD	?
peObjPhysicalSize	DD	?
peObjPhysicalOfs	DD	?
peObjReserved		DD	3 DUP (?)
peObjFlags		DD	?
PE_OBJ			ENDS

; "PE" fixup descriptor format

PE_FIX			STRUC
peFixPageRVA		DD	?
peFixBlockSize		DD	?
peFixData		DW	?
PE_FIX			ENDS

